DrawEERAttributeVertex
Keywords: uk.ac.ic.doc.automed.editor.drawables.DrawEERAttributeVertex class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.editor.drawables
Class DrawEERAttributeVertex

    java.lang.Object
      uk.ac.ic.doc.automed.editor.DrawVertex
          uk.ac.ic.doc.automed.editor.DefaultDrawLinkNodalVertex
              uk.ac.ic.doc.automed.editor.drawables.DrawEERAttributeVertex

All Implemented Interfaces:
  Drawable, DrawableVertex

    public class DrawEERAttributeVertex

extends DefaultDrawLinkNodalVertex

Field Summary

Fields inherited from class uk.ac.ic.doc.automed.editor.DefaultDrawLinkNodalVertex
`cx, cy, tx, ty`

Fields inherited from class uk.ac.ic.doc.automed.editor.DrawVertex
`bounds, dashedStroke, dependent, ep, fm, p, standardStroke, symbolHeight, symbolWidth, text, textHeight, textWidth, thickness, thickStroke, thinStroke, xInset, yInset, zeroOffset`

Constructor Summary
`DrawEERAttributeVertex(EditorPanel ep, Positionable schemaObject, Positionable[] d)`

Method Summary
`void` | `paintText(java.awt.Graphics2D g)`

Methods inherited from class uk.ac.ic.doc.automed.editor.DefaultDrawLinkNodalVertex
`getBounds, getCentre, getCentreOffset, paintSymbol`

Methods inherited from class uk.ac.ic.doc.automed.editor.DrawVertex
`getConnectionPoint, getConnectionPointMovableCentre, getConnectsTo, getPositionable, intersectLine, paintComponent, setText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DrawEERAttributeVertex

    public DrawEERAttributeVertex(EditorPanel ep,
                                  Positionable schemaObject,
                                  Positionable[] d)

Method Detail

### paintText

    public void paintText(java.awt.Graphics2D g)

  Overrides:
    `paintText` in class `DefaultDrawLinkNodalVertex`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD